Bug 842582 - dnsjava - compile with -target 1.5 or greater
dnsjava - compile with -target 1.5 or greater
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnsjava (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:22 EDT by Mikolaj Izdebski
Modified: 2012-08-13 05:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-11 17:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:22:47 EDT
Package dnsjava appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Pavel Alexeev 2012-08-11 17:13:22 EDT
It's built: http://koji.fedoraproject.org/koji/taskinfo?taskID=4379833

Is it should worth say about it upstream author or it is compleately Fedora issue?

Should it be fixed only in rawhide, or stable branches also?
Comment 2 Mikolaj Izdebski 2012-08-13 05:15:09 EDT
Thank you.

> Is it should worth say about it upstream author or it is compleately Fedora
> issue?

I am not absolutely sure if it was a real issue at all -- it could be a false positive.Recompiling with target 1.5 is usually easier than investigating if this was a real problem. But if it was then most likely affects upstream too and it may be worth contacting them.

> Should it be fixed only in rawhide, or stable branches also?

Rawhide only is fine, at least for me.

Note You need to log in before you can comment on or make changes to this bug.